regina::NEdgeEmbedding Class Reference
Triangulations

Details how an edge in the skeleton forms part of an individual tetrahedron. More...

`#include <triangulation/nedge.h>`

## Public Member Functions

| NEdgeEmbedding ()
| Default constructor. More...
| NEdgeEmbedding (NTetrahedron *newTet, int newEdge)
| Creates an embedding descriptor containing the given data. More...
| NEdgeEmbedding (const NEdgeEmbedding &cloneMe)
| Creates an embedding descriptor containing the same data as the given embedding descriptor. More...
NEdgeEmbedding & | operator= (const NEdgeEmbedding &cloneMe)
| Assigns to this embedding descriptor the same data as is contained in the given embedding descriptor. More...
NTetrahedron * | getTetrahedron () const
| Returns the tetrahedron in which this edge is contained. More...
int | getEdge () const
| Returns the edge number within getTetrahedron() that is this edge. More...
NPerm4 | getVertices () const
| Returns a mapping from vertices (0,1) of this edge to the corresponding vertex numbers in getTetrahedron(). More...
bool | operator== (const NEdgeEmbedding &rhs) const
| Tests whether this and the given embedding are identical. More...
bool | operator!= (const NEdgeEmbedding &rhs) const
| Tests whether this and the given embedding are different. More...

## Detailed Description

Details how an edge in the skeleton forms part of an individual tetrahedron.

## Constructor & Destructor Documentation

regina::NEdgeEmbedding::NEdgeEmbedding | ( |  | ) |

inline

Default constructor.

The embedding descriptor created is unusable until it has some data assigned to it using `operator =`.

Python:
  Not present.

regina::NEdgeEmbedding::NEdgeEmbedding | ( | NTetrahedron * | newTet,
|  | int | newEdge
| ) |  |

inline

Creates an embedding descriptor containing the given data.

Parameters

  newTet | the tetrahedron in which this edge is contained.
  newEdge | the edge number of newTet that is this edge.

regina::NEdgeEmbedding::NEdgeEmbedding | ( | const NEdgeEmbedding & | cloneMe | ) |

inline

Creates an embedding descriptor containing the same data as the given embedding descriptor.

Parameters

  cloneMe | the embedding descriptor to clone.

## Member Function Documentation

int regina::NEdgeEmbedding::getEdge | ( |  | ) | const

inline

Returns the edge number within getTetrahedron() that is this edge.

Returns
  the edge number that is this edge.

NTetrahedron * regina::NEdgeEmbedding::getTetrahedron | ( |  | ) | const

inline

Returns the tetrahedron in which this edge is contained.

Returns
  the tetrahedron.

NPerm4 regina::NEdgeEmbedding::getVertices | ( |  | ) | const

inline

Returns a mapping from vertices (0,1) of this edge to the corresponding vertex numbers in getTetrahedron().

This permutation also maps (2,3) to the two remaining tetrahedron vertices in a manner that preserves orientation as you walk around the edge. See NTetrahedron::getEdgeMapping() for details.

Returns
  a mapping from the vertices of this edge to the vertices of getTetrahedron().

bool regina::NEdgeEmbedding::operator!= | ( | const NEdgeEmbedding & | rhs | ) | const

inline

Tests whether this and the given embedding are different.

Here "different" means that they do not refer to the same edge of the same tetrahedron.

Parameters

  rhs | the embedding to compare with this.

Returns
  `true` if and only if both embeddings are identical.

NEdgeEmbedding & regina::NEdgeEmbedding::operator= | ( | const NEdgeEmbedding & | cloneMe | ) |

inline

Assigns to this embedding descriptor the same data as is contained in the given embedding descriptor.

Parameters

  cloneMe | the embedding descriptor to clone.

bool regina::NEdgeEmbedding::operator== | ( | const NEdgeEmbedding & | rhs | ) | const

inline

Tests whether this and the given embedding are identical.

Here "identical" means that they refer to the same edge of the same tetrahedron.

Parameters

  rhs | the embedding to compare with this.

Returns
  `true` if and only if both embeddings are identical.

The documentation for this class was generated from the following file:

- triangulation/nedge.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).